/*	Revision History	*/
/*	Bryan Christ - Inception:  Wed Nov  9 10:58:34 2005	*/
 
#ifndef _H_LIB_PSEUDO_
#define _H_LIB_PSEUDO_

#include <glib.h>

enum	{
	SHMQ_OK=0,
	SHMQ_QUEUE_INVALID,
	SHMQ_QUEUE_FULL,
	SHMQ_MSG_INVALID
};
	

#define	PSTHREAD_TERMINATE	0
#define	PSTHREAD_CONTINUE		1
#define	PSTHREAD_GROW			2

typedef gint (*PSTHREAD)(gpointer arg1,gpointer arg2);

/*	psuedo thread (psthread) functions	*/
guint32		psthread_add(const gchar *queue_name,PSTHREAD psthread,
				   gpointer arg1,gpointer arg2);
void			psthread_del(const gchar *queue_name,guint32 uid);
void			psthread_run(const gchar *queue_name,guint32 count);
gint			psthread_count(const gchar *queue_name,guint *pcount,guint *vcount);

/*	shared message queue (shmq) functions	*/
gint			shmq_msg_put(const gchar *queue_name,gpointer anything);
gpointer		shmq_msg_get(const gchar *queue_name);
guint			shmq_size(const gchar *queue_name);		
#endif
